## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Note: compton fork renamed to 'picom' since version 7.5

%global oldname compton-ng
%global tarball_version %%(echo %{version} | tr '~' '-')

Name:           picom
Version:        11.2
Release:        %autorelease
Summary:        Lightweight compositor for X11

License:        MPL-2.0 AND MIT
URL:            https://github.com/yshui/picom
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Hide picom desktop file by default
Patch1:         https://github.com/yshui/picom/pull/1155.patch#/picom.desktop-Hide-from-menus-by-default.patch

BuildRequires:  asciidoc
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  libev-devel
BuildRequires:  meson
BuildRequires:  uthash-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-present)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xproto)

Requires:       hicolor-icon-theme

Conflicts:      compton%{?_isa}

Provides:       %{oldname}%{?_isa} = %{version}-%{release}

Obsoletes:      %{oldname} =< 7.5-1

%description
picom is a compositor for X, and a fork of Compton.

This is a development branch, bugs to be expected

You can leave your feedback or thoughts in the discussion tab.


%prep
%autosetup -p1


%build
%meson               \
    -Dwith_docs=true \
    %{nil}
%meson_build


%install
%meson_install


%check
%meson_test
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license COPYING LICENSES/MPL-2.0 LICENSES/MIT
%doc README.md CONTRIBUTORS %{name}.sample.conf
%{_bindir}/%{name}*
%{_bindir}/compton*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_mandir}/man1/*.1*
%{_sysconfdir}/xdg/autostart/%{name}.desktop


%changelog
## START: Generated by rpmautospec
* Tue Feb 13 2024 Packit <hello@packit.dev> - 11.2-1
- [packit] 11.2 upstream release
- Resolves rhbz#2264019

* Mon Jan 29 2024 Packit <hello@packit.dev> - 11.1-1
- [packit] 11.1 upstream release
- Resolves rhbz#2260800

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Packit <hello@packit.dev> - 11-1
- [packit] 11 upstream release
- Resolves rhbz#2259349

* Sat Jan 20 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 10.2-6
- license: Convert to SPDX

* Sat Jan 20 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 10.2-5
- build: Add Packit config

* Sun Dec 17 2023 Neal Gompa <ngompa@fedoraproject.org> - 10.2-4
- build: Add patch to hide picom.desktop in menus by default

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 10.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 17 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 10.2-1
- chore: Update to 10.2

* Thu Nov 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 10.1-2
- build: Add upstream pcre2 patch

* Wed Nov 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 10.1-1
- build: Update to 10.1

* Mon Nov 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 10-1
- build: Update to 10

* Sun Oct 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 10~rc1-1
- build: Update to 10-rc1 for Rawhide

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Feb 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 9.1-1
- chore(update): 9.1

* Sun Jan 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 8.2-6
- fix: FTBFS 36 and building with docs

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 24 2021 Björn Esser <besser82@fedoraproject.org> - 8.2-4
- Rebuild(uthash)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 8.2-1
- build(update): 8.2

* Tue Sep  8 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 8.1-1
- Update to 8.1

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 8-1
- Update to 8

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.5-2
- Renamed to 'picom'

* Mon Nov 25 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.5-1
- Update to 7.5

* Sat Sep 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.4-1
- Update to 7.4
- Drop git submodule, now vendored with release tarball

* Tue Aug 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-2
- Update to 7.2
- Packaging fixes
- Disable LTO

* Tue Aug 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.1-5
- Initial package

## END: Generated by rpmautospec
